Debian Bug report logs - #566600
xserver-xorg: XBell doesn't work

version graph

Package: xserver-xorg-core; Maintainer for xserver-xorg-core is Debian X Strike Force <debian-x@lists.debian.org>; Source for xserver-xorg-core is src:xorg-server.

Reported by: Paul Vojta <vojta@math.berkeley.edu>

Date: Sun, 24 Jan 2010 00:48:05 UTC

Severity: normal

Tags: fixed-upstream

Merged with 564200

Found in versions xorg-server/2:1.11.2.902-1, xorg-server/2:1.7.3.902-1

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://bugs.freedesktop.org/show_bug.cgi?id=24503

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#566600; Package xserver-xorg. (Sun, 24 Jan 2010 00:48:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Vojta <vojta@math.berkeley.edu>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 24 Jan 2010 00:48:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Paul Vojta <vojta@math.berkeley.edu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xserver-xorg: XBell doesn't work
Date: Sat, 23 Jan 2010 16:28:02 -0800
Package: xserver-xorg
Version: 1:7.5+2
Severity: normal

The console bell stopped working (no sound is produced) with this newer
version of the server (7.5+2 vs. 7.4+4).  Note that "xset q" reports

  bell percent:  50    bell pitch:  400    bell duration:  100

Note also that xdvi no longer beeps when it should, so the problem is
in XBell(), not xterm.


-- Package-specific info:
/var/lib/x11/X.roster does not exist.

/var/lib/x11/X.md5sum does not exist.

X server symlink status:
lrwxrwxrwx 1 root root 13 Dec  8  2007 /etc/X11/X -> /usr/bin/Xorg
-rwxr-xr-x 1 root root 1864832 Jan 20 15:37 /usr/bin/Xorg

/var/lib/x11/xorg.conf.roster does not exist.

VGA-compatible devices on PCI bus:
01:00.0 VGA compatible controller: nVidia Corporation G86 [GeForce 8400M GS] (rev a1)

/var/lib/x11/xorg.conf.md5sum does not exist.

Xorg X server configuration file status:
-rw-r--r-- 1 root root 3796 Jan 19 18:45 /etc/X11/xorg.conf

Contents of /etc/X11/xorg.conf:
# Adapted from XF86Config.eg

Section "Files"
    FontPath	"/usr/share/fonts/X11/misc:unscaled"
    FontPath	"/usr/share/fonts/X11/75dpi:unscaled"
    FontPath	"/usr/share/fonts/X11/100dpi:unscaled"
    FontPath	"/usr/share/fonts/X11/Type1"
    FontPath	"/var/lib/defoma/x-ttcidfont-conf.d/dirs/CID"
    FontPath	"/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType"
    # FontPath	"/usr/share/fonts/X11/TrueType"
    # ModulePath "/usr/lib/xorg/modules"
EndSection

Section "ServerFlags"
    Option	"DontZap" "false"
    # Can set DPMS timeouts here.
EndSection

Section "Module"
    # [does not exist] Load	"type1"
EndSection

# First ServerLayout is the default

Section "ServerLayout"
    Identifier	    "Main"
    Screen	    "Default Screen"
    InputDevice	    "evdev keyboard"		"CoreKeyboard"
#   InputDevice	    "Main keyboard"		"CoreKeyboard"
#   InputDevice	    "Configured Mouse"		"CorePointer"
    InputDevice     "Synaptics Touchpad Standard" "CorePointer"
EndSection

Section "Screen"
    Identifier      "Default Screen"
    Device          "nVidia GeForce Go 8400M GS"
    Monitor         "Generic Monitor"
    DefaultDepth    24
    SubSection      "Display"
	Modes           "1280x800" "1024x768" "800x600" "640x480"
    EndSubSection
EndSection

Section "Device"
    Identifier      "nVidia GeForce Go 8400M GS"
    Driver          "nv"
    BusID           "PCI:1:0:0"
    option          "Monitor-LVDS"	"LCD Panel"
    option          "Monitor-VGA1"	"External VGA"
EndSection

Section "Monitor"
    Identifier      "Generic Monitor"
    # (For ViewSonic only)
    # HorizSync       28-64
    # VertRefresh     43-60
EndSection

Section "Monitor"
    Identifier      "LCD Panel"
EndSection

Section "Monitor"
    Identifier      "External VGA"
    Option          "PreferredMode"	"1024x768"
EndSection

Section "InputDevice"  
	Identifier	"evdev keyboard"
	Driver		"evdev"
	Option	"Device"  "/dev/input/by-path/platform-i8042-serio-0-event-kbd"
	Option          "XkbModel"	"evdev"
	Option          "XkbLayout"	"us"
	Option		"XkbOptions"	"ctrl:swapcaps,terminate:ctrl_alt_bksp"
	Option		"evBits"	"+1"
	Option		"keyBits"	"~1-255 ~352-511"
	Option		"Pass"		"3"
EndSection

# Section "InputDevice"
#     Identifier	"Main keyboard"
#     Driver	"kbd"
#     Option	"AutoRepeat"	"200 30"
# # ln -s /etc/X11/xkb /usr/xf-cvs/lib/X11
#     Option	"XkbRules"	"xorg"
#     Option	"XkbModel"	"pc104"
# #   Option	"XkbLayout"	"us"
# #   Option	"XkbVariant"	""
#     Option	"XkbOptions"	"ctrl:swapcaps"
#     Option	"XkbOptions"	"terminate:ctrl_alt_bksp"
# EndSection

Section "InputDevice"
    Identifier  "Configured Mouse"
    Driver      "mouse"
    Option      "CorePointer"
    Option      "Device"                "/dev/input/mice"
    Option      "Protocol"              "ImPS/2"
    #Option	"Buttons"		"5"
    Option      "ZAxisMapping"          "4 5"
    Option      "Emulate3Buttons"       "true"
EndSection

Section "InputDevice"
    Identifier	"Synaptics Touchpad Standard"
    Driver	"synaptics"
    Option	"SendCoreEvents"	"true"
    # Option	"Device"		"/dev/psaux"
    # Option	"Protocol"		"auto-dev"
    Option	"Emulate3Buttons"
    Option	"TapAndDrag"
    # Option	"EdgeMotionUseAlways"
    Option	"VertEdgeScroll"
    Option	"HorizEdgeScroll"
    Option	"TapButton1"		"1"
    Option	"TapButton2"		"2"
    Option	"TapButton3"		"3"
    Option	"FastTaps"
EndSection

Section "InputDevice"
    Identifier	"Synaptics Touchpad"
    Driver	"synapticsalt"
    Option	"SendCoreEvents"	"true"
    # Option	"Device"		"/dev/psaux"
    # Option	"Protocol"		"auto-dev"
    Option	"Emulate3Buttons"
    Option	"TapAndDrag"
    # Option	"EdgeMotionUseAlways"
    Option	"RightEdgeScroll"
    Option	"BottomEdgeScroll"
    Option	"URCornerButton"	"4"
    Option	"LRCornerButton"	"5"
EndSection


Xorg X server log files on system:
-rw-r--r-- 1 root root 22451 Jan 23 15:44 /var/log/Xorg.0.log

Contents of most recent Xorg X server log file
/var/log/Xorg.0.log:

X.Org X Server 1.7.4
Release Date: 2010-01-08
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.32.4-dsa-amd64 x86_64 Debian
Current Operating System: Linux xps 2.6.31 #1 SMP Thu Nov 26 13:16:26 PST 2009 x86_64
Kernel command line: BOOT_IMAGE=6 ro root=805
Build Date: 20 January 2010  11:36:07PM
xorg-server 2:1.7.4-2 (buildd@brahms.debian.org) 
Current version of pixman: 0.16.4
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Sat Jan 23 15:44:23 2010
(==) Using config file: "/etc/X11/xorg.conf"
(==) ServerLayout "Main"
(**) |-->Screen "Default Screen" (0)
(**) |   |-->Monitor "Generic Monitor"
(**) |   |-->Device "nVidia GeForce Go 8400M GS"
(**) |-->Input Device "evdev keyboard"
(**) |-->Input Device "Synaptics Touchpad Standard"
(**) Option "DontZap" "false"
(==) Automatically adding devices
(==) Automatically enabling devices
(WW) `fonts.dir' not found (or not valid) in "/var/lib/defoma/x-ttcidfont-conf.d/dirs/CID".
	Entry deleted from font path.
	(Run 'mkfontdir' on "/var/lib/defoma/x-ttcidfont-conf.d/dirs/CID").
(WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
	Entry deleted from font path.
(**) FontPath set to:
	/usr/share/fonts/X11/misc:unscaled,
	/usr/share/fonts/X11/75dpi:unscaled,
	/usr/share/fonts/X11/100dpi:unscaled,
	/usr/share/fonts/X11/Type1,
	/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,
	/usr/share/fonts/X11/misc,
	/usr/share/fonts/X11/100dpi/:unscaled,
	/usr/share/fonts/X11/75dpi/:unscaled,
	/usr/share/fonts/X11/Type1,
	/usr/share/fonts/X11/100dpi,
	/usr/share/fonts/X11/75dpi,
	/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,
	built-ins
(==) ModulePath set to "/usr/lib/xorg/modules"
(II) Loader magic: 0x7c1600
(II) Module ABI versions:
	X.Org ANSI C Emulation: 0.4
	X.Org Video Driver: 6.0
	X.Org XInput driver : 7.0
	X.Org Server Extension : 2.0
(--) using VT number 8

(--) PCI:*(0:1:0:0) 10de:0427:1028:0209 nVidia Corporation G86 [GeForce 8400M GS] rev 161, Mem @ 0xf5000000/16777216, 0xe0000000/268435456, 0xf2000000/33554432, I/O @ 0x0000ef00/128, BIOS @ 0x????????/131072
(II) Open ACPI successful (/var/run/acpid.socket)
(II) "extmod" will be loaded by default.
(II) "dbe" will be loaded by default.
(II) "glx" will be loaded by default.
(II) "record" will be loaded by default.
(II) "dri" will be loaded by default.
(II) "dri2" will be loaded by default.
(II) LoadModule: "extmod"
(II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
(II) Module extmod: vendor="X.Org Foundation"
	compiled for 1.7.4, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension SELinux
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "dbe"
(II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
(II) Module dbe: vendor="X.Org Foundation"
	compiled for 1.7.4, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "glx"
(II) Loading /usr/lib/xorg/modules/extensions/libglx.so
(II) Module glx: vendor="X.Org Foundation"
	compiled for 1.7.4, module version = 1.0.0
	ABI class: X.Org Server Extension, version 2.0
(==) AIGLX enabled
(II) Loading extension GLX
(II) LoadModule: "record"
(II) Loading /usr/lib/xorg/modules/extensions/librecord.so
(II) Module record: vendor="X.Org Foundation"
	compiled for 1.7.4, module version = 1.13.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension RECORD
(II) LoadModule: "dri"
(II) Loading /usr/lib/xorg/modules/extensions/libdri.so
(II) Module dri: vendor="X.Org Foundation"
	compiled for 1.7.4, module version = 1.0.0
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension XFree86-DRI
(II) LoadModule: "dri2"
(II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
(II) Module dri2: vendor="X.Org Foundation"
	compiled for 1.7.4, module version = 1.1.0
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DRI2
(II) LoadModule: "nv"
(II) Loading /usr/lib/xorg/modules/drivers/nv_drv.so
(II) Module nv: vendor="X.Org Foundation"
	compiled for 1.7.0, module version = 2.1.15
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 6.0
(II) LoadModule: "evdev"
(II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
(II) Module evdev: vendor="X.Org Foundation"
	compiled for 1.7.3.902, module version = 2.3.2
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 7.0
(II) LoadModule: "synaptics"
(II) Loading /usr/lib/xorg/modules/input/synaptics_drv.so
(II) Module synaptics: vendor="X.Org Foundation"
	compiled for 1.7.3.902, module version = 1.2.1
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 7.0
(II) NV: driver for NVIDIA chipsets: RIVA 128, RIVA TNT, RIVA TNT2,
	Unknown TNT2, Vanta, RIVA TNT2 Ultra, RIVA TNT2 Model 64,
	Aladdin TNT2, GeForce 256, GeForce DDR, Quadro, GeForce2 MX/MX 400,
	GeForce2 MX 100/200, GeForce2 Go, Quadro2 MXR/EX/Go,
	GeForce2 Integrated GPU, GeForce2 GTS, GeForce2 Ti, GeForce2 Ultra,
	Quadro2 Pro, GeForce4 MX 460, GeForce4 MX 440, GeForce4 MX 420,
	GeForce4 MX 440-SE, GeForce4 440 Go, GeForce4 420 Go,
	GeForce4 420 Go 32M, GeForce4 460 Go, Quadro4 550 XGL,
	GeForce4 440 Go 64M, Quadro NVS, Quadro4 500 GoGL,
	GeForce4 410 Go 16M, GeForce4 MX 440 with AGP8X,
	GeForce4 MX 440SE with AGP8X, GeForce4 MX 420 with AGP8X,
	GeForce4 MX 4000, GeForce4 448 Go, GeForce4 488 Go, Quadro4 580 XGL,
	Quadro4 NVS 280 SD, Quadro4 380 XGL, Quadro NVS 50 PCI,
	GeForce4 448 Go, GeForce4 MX Integrated GPU, GeForce3,
	GeForce3 Ti 200, GeForce3 Ti 500, Quadro DCC, GeForce4 Ti 4600,
	GeForce4 Ti 4400, GeForce4 Ti 4200, Quadro4 900 XGL, Quadro4 750 XGL,
	Quadro4 700 XGL, GeForce4 Ti 4800, GeForce4 Ti 4200 with AGP8X,
	GeForce4 Ti 4800 SE, GeForce4 4200 Go, Quadro4 700 GoGL,
	Quadro4 980 XGL, Quadro4 780 XGL, GeForce FX 5800 Ultra,
	GeForce FX 5800, Quadro FX 2000, Quadro FX 1000,
	GeForce FX 5600 Ultra, GeForce FX 5600, GeForce FX 5600XT,
	GeForce FX Go5600, GeForce FX Go5650, Quadro FX Go700,
	GeForce FX 5200, GeForce FX 5200 Ultra, GeForce FX 5200,
	GeForce FX 5200LE, GeForce FX Go5200, GeForce FX Go5250,
	GeForce FX 5500, GeForce FX 5100, GeForce FX Go5200 32M/64M,
	Quadro NVS 55/280 PCI, Quadro FX 500/600 PCI,
	GeForce FX Go53xx Series, GeForce FX Go5100, GeForce FX 5900 Ultra,
	GeForce FX 5900, GeForce FX 5900XT, GeForce FX 5950 Ultra,
	GeForce FX 5900ZT, Quadro FX 3000, Quadro FX 700,
	GeForce FX 5700 Ultra, GeForce FX 5700, GeForce FX 5700LE,
	GeForce FX 5700VE, GeForce FX Go5700, GeForce FX Go5700,
	Quadro FX Go1000, Quadro FX 1100, GeForce 6800 Ultra, GeForce 6800,
	GeForce 6800 LE, GeForce 6800 XE, GeForce 6800 XT, GeForce 6800 GT,
	GeForce 6800 GT, GeForce 6800 GS, GeForce 6800 XT, Quadro FX 4000,
	GeForce 6800 GS, GeForce 6800, GeForce 6800 LE, GeForce 6800 XT,
	GeForce Go 6800, GeForce Go 6800 Ultra, Quadro FX Go1400,
	Quadro FX 3450/4000 SDI, Quadro FX 1400, GeForce 6600 GT,
	GeForce 6600, GeForce 6600 LE, GeForce 6600 VE, GeForce Go 6600,
	GeForce 6610 XL, GeForce Go 6600 TE/6200 TE, GeForce 6700 XL,
	GeForce Go 6600, GeForce Go 6600 GT, Quadro NVS 440, Quadro FX 550,
	Quadro FX 550, Quadro FX 540, GeForce 6200, GeForce 6500,
	GeForce 6200 TurboCache(TM), GeForce 6200SE TurboCache(TM),
	GeForce 6200 LE, GeForce Go 6200, Quadro NVS 285, GeForce Go 6400,
	GeForce Go 6200, GeForce Go 6400, GeForce 6250, GeForce 7100 GS,
	GeForce 6800, GeForce 6800 LE, GeForce 6800 GT, GeForce 6800 XT,
	GeForce 6200, GeForce 6200 A-LE, GeForce 7800 GTX, GeForce 7800 GTX,
	GeForce 7800 GT, GeForce 7800 GS, GeForce 7800 SLI, GeForce Go 7800,
	GeForce Go 7800 GTX, Quadro FX 4500, GeForce 7350 LE,
	GeForce 7300 LE, GeForce 7300 SE, GeForce Go 7200, GeForce Go 7300,
	GeForce Go 7400, GeForce Go 7400 GS, Quadro NVS 110M,
	Quadro NVS 120M, Quadro FX 350M, GeForce 7500 LE, Quadro FX 350,
	GeForce 7300 GS, GeForce 7650 GS, GeForce 7600 GT, GeForce 7600 GS,
	GeForce 7300 GT, GeForce 7600 LE, GeForce 7300 GT, GeForce Go 7700,
	GeForce Go 7600, GeForce Go 7600 GT, Quadro NVS 300M,
	GeForce Go 7900 SE, Quadro FX 550M, Quadro FX 560, GeForce 7900 GTX,
	GeForce 7900 GT, GeForce 7900 GS, GeForce 7950 GX2, GeForce 7950 GX2,
	GeForce 7950 GT, GeForce Go 7950 GTX, GeForce Go 7900 GS,
	GeForce Go 7900 GTX, Quadro FX 2500M, Quadro FX 1500M,
	Quadro FX 5500, Quadro FX 3500, Quadro FX 1500, Quadro FX 4500 X2,
	GeForce 6150, GeForce 6150 LE, GeForce 6100, GeForce Go 6150,
	Quadro NVS 210S / NVIDIA GeForce 6150LE, GeForce Go 6100,
	GeForce 6150SE, GeForce 6100 nForce 405, GeForce 6100 nForce 400,
	GeForce 6100 nForce 420, GeForce 8800 GTX, GeForce 8800 GTS,
	GeForce 8800 Ultra, Quadro FX 5600, Quadro FX 4600, GeForce 8600 GTS,
	GeForce 8600 GT, GeForce 8600 GT, GeForce 8600 GS, GeForce 8400 GS,
	GeForce 9500M GS, GeForce 8600M GT, GeForce 9650M GS,
	GeForce 8700M GT, Quadro FX 370, Quadro NVS 320M, Quadro FX 570M,
	Quadro FX 1600M, Quadro FX 570, Quadro FX 1700, GeForce 8400 SE,
	GeForce 8500 GT, GeForce 8400 GS, GeForce 8300 GS, GeForce 8400 GS,
	GeForce 8600M GS, GeForce 8400M GT, GeForce 8400M GS,
	GeForce 8400M G, Quadro NVS 140M, Quadro NVS 130M, Quadro NVS 135M,
	GeForce 9400 GT, Quadro FX 360M, GeForce 9300M G, Quadro NVS 290,
	GeForce GTX 295, GeForce GTX 280, GeForce GTX 260, GeForce GTX 285,
	Quadro CX, Quadro FX 5800, Quadro FX 4800, Quadro FX 3800,
	GeForce 8800 GTS 512, GeForce 9800 GT, GeForce 8800 GT,
	GeForce 9800 GX2, GeForce 9800 GT, GeForce 8800 GS,
	GeForce 9800M GTX, GeForce 8800M GTS, GeForce 9800M GT,
	GeForce 8800M GTX, GeForce 8800 GS, GeForce 9600 GSO,
	GeForce 8800 GT, GeForce 9800 GTX, GeForce 9800 GTX+,
	GeForce 9800 GT, GeForce GTS 250, GeForce 9800M GTX, Quadro FX 3700,
	Quadro FX 3600M, Quadro FX 3700M, GeForce 9600 GT, GeForce 9600 GS,
	GeForce 9600 GSO 512, GeForce GT 130, GeForce GT 140,
	GeForce 9800M GTS, GeForce 9700M GTS, GeForce 9800M GS,
	GeForce 9800M GTS, Quadro FX 1800, Quadro FX 2700M, GeForce 9500 GT,
	GeForce 9400 GT, GeForce 9500 GT, GeForce GT 120, GeForce 9600M GT,
	GeForce 9600M GS, GeForce 9600M GT, GeForce 9700M GT,
	GeForce 9500M G, GeForce 9650M GT, GeForce 9500 GT, Quadro FX 380,
	Quadro FX 580, Quadro FX 770M, GeForce 9300 GE, GeForce 9300 GS,
	GeForce 8400 GS, GeForce 9300M GS, GeForce G100, GeForce 9200M GS,
	GeForce 9300M GS, Quadro NVS 150M, Quadro NVS 160M, Quadro NVS 420,
	Quadro FX 370 LP, Quadro NVS 450, Quadro NVS 295
(II) Primary Device is: PCI 01@00:00:0
(--) NV: Found NVIDIA GeForce 8400M GS at 01@00:00:0
(WW) VGA arbiter: cannot open kernel arbiter, no multi-card support
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Loading /usr/lib/xorg/modules/libint10.so
(II) Module int10: vendor="X.Org Foundation"
	compiled for 1.7.4, module version = 1.0.0
	ABI class: X.Org Video Driver, version 6.0
(II) NV(0): Initializing int10
(II) NV(0): Primary V_BIOS segment is: 0xc000
(--) NV(0): Console is VGA mode 0x3
(**) NV(0): Depth 24, (--) framebuffer bpp 32
(==) NV(0): RGB weight 888
(==) NV(0): Default visual is TrueColor
(==) NV(0): Using hardware cursor
(==) NV(0): Using gamma correction (1.0, 1.0, 1.0)
(II) NV(0): MMIO registers mapped at 0x7fc1600ca000
(--) NV(0): Total video RAM: 128.0 MB
(--) NV(0):       BAR1 size: 256.0 MB
(--) NV(0):   Mapped memory: 127.0 MB
(II) NV(0): Linear framebuffer mapped at 0x7fc1581ca000
(II) Loading sub module "i2c"
(II) LoadModule: "i2c"
(II) Module "i2c" already built-in
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Module "ddc" already built-in
(--) NV(0): Connector map:
(--) NV(0):   Bus 3 -> SOR0 (LVDS)
(--) NV(0):   Bus 0 -> DAC1
(--) NV(0):   Bus 1 -> SOR1
(--) NV(0): Load detection: 279
(II) NV(0): I2C bus "I2C0" initialized.
(II) NV(0): Output VGA1 using monitor section External VGA
(**) NV(0): Option "PreferredMode" "1024x768"
(II) NV(0): I2C bus "I2C1" initialized.
(II) NV(0): Output DVI1 has no monitor section
(II) NV(0): LVDS native size 1280x800
(II) NV(0): Output LVDS using monitor section LCD Panel
(II) NV(0): I2C bus "I2C3 (LVDS)" initialized.
(II) NV(0): Probing for EDID on I2C bus 0...
(II) NV(0): I2C device "I2C0:ddc2" registered at address 0xA0.
(II) NV(0):   ... none found
(--) NV(0): Trying load detection on VGA1 ... nothing.
(II) NV(0): EDID for output VGA1
(II) NV(0): Probing for EDID on I2C bus 1...
(II) NV(0): I2C device "I2C1:ddc2" registered at address 0xA0.
(II) NV(0):   ... none found
(II) NV(0): EDID for output DVI1
(II) NV(0): Probing for EDID on I2C bus 3...
(II) NV(0): I2C device "I2C3 (LVDS):ddc2" registered at address 0xA0.
(--) NV(0): DDC detected a DFP:
(II) NV(0): Manufacturer: SEC  Model: 5441  Serial#: 0
(II) NV(0): Year: 2007  Week: 0
(II) NV(0): EDID Version: 1.3
(II) NV(0): Digital Display Input
(II) NV(0): Max Image Size [cm]: horiz.: 29  vert.: 18
(II) NV(0): Gamma: 2.20
(II) NV(0): No DPMS capabilities specified
(II) NV(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4 
(II) NV(0): First detailed timing is preferred mode
(II) NV(0): redX: 0.580 redY: 0.340   greenX: 0.310 greenY: 0.550
(II) NV(0): blueX: 0.155 blueY: 0.155   whiteX: 0.313 whiteY: 0.329
(II) NV(0): Manufacturer's mask: 0
(II) NV(0): Supported detailed timing:
(II) NV(0): clock: 72.1 MHz   Image Size:  261 x 163 mm
(II) NV(0): h_active: 1280  h_sync: 1328  h_sync_end 1360 h_blank_end 1448 h_border: 0
(II) NV(0): v_active: 800  v_sync: 803  v_sync_end 809 v_blanking: 830 v_border: 0
(II) NV(0): Unknown vendor-specific block f
(II) NV(0):  MR079133AT
(II) NV(0):  %:HQs???
(II) NV(0): EDID (in hex):
(II) NV(0): 	00ffffffffffff004ca3415400000000
(II) NV(0): 	00110103801d12780a87f594574f8c27
(II) NV(0): 	27505400000001010101010101010101
(II) NV(0): 	0101010101012b1c00a850201e303020
(II) NV(0): 	360005a3100000190000000f00000000
(II) NV(0): 	000000000032d2023200000000fe004d
(II) NV(0): 	523037390431333341540a20000000fe
(II) NV(0): 	00253a48517397b9ff01010a20200012
(II) NV(0): EDID for output LVDS
(II) NV(0): Manufacturer: SEC  Model: 5441  Serial#: 0
(II) NV(0): Year: 2007  Week: 0
(II) NV(0): EDID Version: 1.3
(II) NV(0): Digital Display Input
(II) NV(0): Max Image Size [cm]: horiz.: 29  vert.: 18
(II) NV(0): Gamma: 2.20
(II) NV(0): No DPMS capabilities specified
(II) NV(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4 
(II) NV(0): First detailed timing is preferred mode
(II) NV(0): redX: 0.580 redY: 0.340   greenX: 0.310 greenY: 0.550
(II) NV(0): blueX: 0.155 blueY: 0.155   whiteX: 0.313 whiteY: 0.329
(II) NV(0): Manufacturer's mask: 0
(II) NV(0): Supported detailed timing:
(II) NV(0): clock: 72.1 MHz   Image Size:  261 x 163 mm
(II) NV(0): h_active: 1280  h_sync: 1328  h_sync_end 1360 h_blank_end 1448 h_border: 0
(II) NV(0): v_active: 800  v_sync: 803  v_sync_end 809 v_blanking: 830 v_border: 0
(II) NV(0): Unknown vendor-specific block f
(II) NV(0):  MR079133AT
(II) NV(0):  %:HQs???
(II) NV(0): EDID (in hex):
(II) NV(0): 	00ffffffffffff004ca3415400000000
(II) NV(0): 	00110103801d12780a87f594574f8c27
(II) NV(0): 	27505400000001010101010101010101
(II) NV(0): 	0101010101012b1c00a850201e303020
(II) NV(0): 	360005a3100000190000000f00000000
(II) NV(0): 	000000000032d2023200000000fe004d
(II) NV(0): 	523037390431333341540a20000000fe
(II) NV(0): 	00253a48517397b9ff01010a20200012
(II) NV(0): EDID vendor "SEC", prod id 21569
(II) NV(0): Printing probed modes for output LVDS
(II) NV(0): Modeline "1280x800"x60.0   72.11  1280 1328 1360 1448  800 803 809 830 -hsync -vsync (49.8 kHz)
(II) NV(0): Output VGA1 disconnected
(II) NV(0): Output DVI1 disconnected
(II) NV(0): Output LVDS connected
(II) NV(0): Using user preference for initial modes
(II) NV(0): Output LVDS using initial mode 1280x800
(--) NV(0): Virtual size is 1280x1280 (pitch 1280)
(**) NV(0):  Driver mode "1280x800": 72.1 MHz (scaled from 0.0 MHz), 49.8 kHz, 60.0 Hz
(II) NV(0): Modeline "1280x800"x60.0   72.11  1280 1328 1360 1448  800 803 809 830 -hsync -vsync (49.8 kHz)
(==) NV(0): DPI set to (96, 96)
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/lib/xorg/modules/libfb.so
(II) Module fb: vendor="X.Org Foundation"
	compiled for 1.7.4, module version = 1.0.0
	ABI class: X.Org ANSI C Emulation, version 0.4
(II) Loading sub module "xaa"
(II) LoadModule: "xaa"
(II) Loading /usr/lib/xorg/modules/libxaa.so
(II) Module xaa: vendor="X.Org Foundation"
	compiled for 1.7.4, module version = 1.2.1
	ABI class: X.Org Video Driver, version 6.0
(II) Loading sub module "ramdac"
(II) LoadModule: "ramdac"
(II) Module "ramdac" already built-in
(--) Depth 24 pixmap format is 32 bpp
(--) NV(0): 120.70 MB available for offscreen pixmaps
(II) NV(0): Using XFree86 Acceleration Architecture (XAA)
	Screen to screen bit blits
	Solid filled rectangles
	8x8 mono pattern filled rectangles
	Indirect CPU to Screen color expansion
	Solid Lines
	Scanline Image Writes
	Setting up tile and stipple cache:
		32 128x128 slots
		32 256x256 slots
		16 512x512 slots
(==) NV(0): Backing store disabled
(==) NV(0): Silken mouse enabled
(==) NV(0): DPMS enabled
(II) NV(0): RandR 1.2 enabled, ignore the following RandR disabled message.
(--) RandR disabled
(II) Initializing built-in extension Generic Event Extension
(II) Initializing built-in extension SHAPE
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension BIG-REQUESTS
(II) Initializing built-in extension SYNC
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension XC-MISC
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFIXES
(II) Initializing built-in extension RENDER
(II) Initializing built-in extension RANDR
(II) Initializing built-in extension COMPOSITE
(II) Initializing built-in extension DAMAGE
SELinux: Disabled on system, not enabling in X server
record: RECORD extension enabled at configure time.
record: This extension is known to be broken, disabling extension now..
record: http://bugs.freedesktop.org/show_bug.cgi?id=20500
(II) AIGLX: Screen 0 is not DRI2 capable
(II) AIGLX: Screen 0 is not DRI capable
(II) AIGLX: Loaded and initialized /usr/lib/dri/swrast_dri.so
(II) GLX: Initialized DRISWRAST GL provider for screen 0
(II) NV(0): Setting screen physical size to 338 x 211
(**) Option "CoreKeyboard"
(**) evdev keyboard: always reports core events
(**) evdev keyboard: Device: "/dev/input/by-path/platform-i8042-serio-0-event-kbd"
(II) evdev keyboard: Found keys
(II) evdev keyboard: Configuring as keyboard
(II) XINPUT: Adding extended input device "evdev keyboard" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "evdev"
(**) Option "xkb_layout" "us"
(**) Option "xkb_options" "ctrl:swapcaps,terminate:ctrl_alt_bksp"
(II) Synaptics touchpad driver version 1.2.1
(--) Synaptics Touchpad Standard auto-dev sets device to /dev/input/event5
(**) Option "Device" "/dev/input/event5"
(II) Synaptics Touchpad Standard: x-axis range 1472 - 5472
(II) Synaptics Touchpad Standard: y-axis range 1408 - 4448
(II) Synaptics Touchpad Standard: pressure range 0 - 255
(II) Synaptics Touchpad Standard: finger width range 0 - 0
(II) Synaptics Touchpad Standard: buttons: left right middle double triple
(**) Option "FastTaps"
(**) Option "VertEdgeScroll"
(**) Option "HorizEdgeScroll"
(**) Option "TapButton1" "1"
(**) Option "TapButton2" "2"
(**) Option "TapButton3" "3"
(--) Synaptics Touchpad Standard: touchpad found
(**) Option "SendCoreEvents" "true"
(**) Option "CorePointer"
(**) Synaptics Touchpad Standard: always reports core events
(II) XINPUT: Adding extended input device "Synaptics Touchpad Standard" (type: TOUCHPAD)
(**) Synaptics Touchpad Standard: (accel) keeping acceleration scheme 1
(**) Synaptics Touchpad Standard: (accel) acceleration profile 0
(--) Synaptics Touchpad Standard: touchpad found
(II) config/udev: Adding input device "Power Button" (/dev/input/event1)
(**) "Power Button": always reports core events
(**) "Power Button": Device: "/dev/input/event1"
(II) "Power Button": Found keys
(II) "Power Button": Configuring as keyboard
(II) XINPUT: Adding extended input device ""Power Button"" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "precision_m"
(**) Option "xkb_layout" "us"
(**) Option "xkb_options" "ctrl:swapcaps"
(II) config/udev: Adding input device "Sleep Button" (/dev/input/event2)
(**) "Sleep Button": always reports core events
(**) "Sleep Button": Device: "/dev/input/event2"
(II) "Sleep Button": Found keys
(II) "Sleep Button": Configuring as keyboard
(II) XINPUT: Adding extended input device ""Sleep Button"" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "precision_m"
(**) Option "xkb_layout" "us"
(**) Option "xkb_options" "ctrl:swapcaps"
(II) config/udev: Adding input device "AT Translated Set 2 keyboard" (/dev/input/event3)
(**) "AT Translated Set 2 keyboard": always reports core events
(**) "AT Translated Set 2 keyboard": Device: "/dev/input/event3"
(WW) "AT Translated Set 2 keyboard": device file already in use. Ignoring.
(II) UnloadModule: "evdev"
(EE) PreInit returned NULL for ""AT Translated Set 2 keyboard""
(II) config/udev: Adding input device "SynPS/2 Synaptics TouchPad" (/dev/input/event5)
(II) Synaptics touchpad driver version 1.2.1
(**) Option "Device" "/dev/input/event5"
(--) "SynPS/2 Synaptics TouchPad": no supported touchpad found
(EE) "SynPS/2 Synaptics TouchPad" Unable to query/initialize Synaptics hardware.
(EE) PreInit failed for input device ""SynPS/2 Synaptics TouchPad""
(II) UnloadModule: "synaptics"
(II) config/udev: Adding input device "SynPS/2 Synaptics TouchPad" (/dev/input/mouse0)
(**) "SynPS/2 Synaptics TouchPad": always reports core events
(**) "SynPS/2 Synaptics TouchPad": Device: "/dev/input/mouse0"
(EE) ioctl EVIOCGNAME failed: Inappropriate ioctl for device
(II) UnloadModule: "evdev"
(EE) PreInit returned NULL for ""SynPS/2 Synaptics TouchPad""

udev information:
P: /devices/LNXSYSTM:00/device:00/PNP0C0D:00/input/input0/event0
N: input/event0
S: char/13:64
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/device:00/PNP0C0D:00/input/input0/event0
E: MAJOR=13
E: MINOR=64
E: DEVNAME=/dev/input/event0
E: SUBSYSTEM=input
E: ID_INPUT=1
E: DEVLINKS=/dev/char/13:64

P: /devices/LNXSYSTM:00/device:00/PNP0C0C:00/input/input1/event1
N: input/event1
S: char/13:65
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/device:00/PNP0C0C:00/input/input1/event1
E: MAJOR=13
E: MINOR=65
E: DEVNAME=/dev/input/event1
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=precision_m
E: XKBLAYOUT=us
E: DEVLINKS=/dev/char/13:65
E: XKBOPTIONS=ctrl:swapcaps
E: x11_driver=evdev

P: /devices/LNXSYSTM:00/device:00/PNP0C0E:00/input/input2/event2
N: input/event2
S: char/13:66
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/device:00/PNP0C0E:00/input/input2/event2
E: MAJOR=13
E: MINOR=66
E: DEVNAME=/dev/input/event2
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=precision_m
E: XKBLAYOUT=us
E: DEVLINKS=/dev/char/13:66
E: XKBOPTIONS=ctrl:swapcaps
E: x11_driver=evdev

P: /devices/platform/i8042/serio0/input/input3/event3
N: input/event3
S: char/13:67
S: input/by-path/platform-i8042-serio-0-event-kbd
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio0/input/input3/event3
E: MAJOR=13
E: MINOR=67
E: DEVNAME=/dev/input/event3
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_INPUT_KEYBOARD=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-0
E: XKBMODEL=precision_m
E: XKBLAYOUT=us
E: DEVLINKS=/dev/char/13:67 /dev/input/by-path/platform-i8042-serio-0-event-kbd
E: XKBOPTIONS=ctrl:swapcaps
E: x11_driver=evdev

P: /devices/pci0000:00/0000:00:1b.0/input/input4/event4
N: input/event4
S: char/13:68
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:1b.0/input/input4/event4
E: MAJOR=13
E: MINOR=68
E: DEVNAME=/dev/input/event4
E: SUBSYSTEM=input
E: ID_INPUT=1
E: DEVLINKS=/dev/char/13:68

P: /devices/platform/i8042/serio1/input/input5/event5
N: input/event5
S: char/13:69
S: input/by-path/platform-i8042-serio-1-event-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio1/input/input5/event5
E: MAJOR=13
E: MINOR=69
E: DEVNAME=/dev/input/event5
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_TOUCHPAD=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-1
E: x11_driver=synaptics
E: DEVLINKS=/dev/char/13:69 /dev/input/by-path/platform-i8042-serio-1-event-mouse

DRM Information from dmesg:
No AGP bridge found
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.AGP_._PRT]
Linux agpgart interface v0.103


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.31 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=en_US.ISO-8859-1 (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/dash

Versions of packages xserver-xorg depends on:
ii  libc6                         2.10.2-5   Embedded GNU C Library: Shared lib
ii  x11-xkb-utils                 7.5+1      X11 XKB utilities
ii  xkb-data                      1.7-2      X Keyboard Extension (XKB) configu
ii  xserver-xorg-core             2:1.7.4-2  Xorg X server - core server
ii  xserver-xorg-input-evdev [xse 1:2.3.2-3  X.Org X server -- evdev input driv
ii  xserver-xorg-input-kbd [xserv 1:1.4.0-1  X.Org X server -- keyboard input d
ii  xserver-xorg-input-mouse [xse 1:1.5.0-1  X.Org X server -- mouse input driv
ii  xserver-xorg-input-synaptics  1.2.1-1    Synaptics TouchPad driver for X.Or
ii  xserver-xorg-video-nv [xserve 1:2.1.15-1 X.Org X server -- NV display drive

Versions of packages xserver-xorg recommends:
ii  libgl1-mesa-dri               7.6.1-1    A free implementation of the OpenG

xserver-xorg suggests no packages.

-- debconf information:
  xserver-xorg/multiple_possible_x-drivers:
* xserver-xorg/config/monitor/use_sync_ranges: true
* xserver-xorg/config/monitor/screen-size: 17 inches (430 mm)
  xserver-xorg/config/device/default-identifier:
* xserver-xorg/autodetect_monitor: true
* xserver-xorg/config/display/default_depth: 24
* xserver-xorg/config/display/modes: 1280x800, 1024x768, 800x600, 640x480
  xserver-xorg/config/monitor/vert-refresh: 50-160
  xserver-xorg/config/monitor/horiz-sync: 30-70
  xserver-xorg/config/monitor/range_input_error:
* xserver-xorg/config/device/identifier: NVidia GeForce Go 8400M GS
* xserver-xorg/config/monitor/selection-method: Simple
  xserver-xorg/autodetect_video_card: true
  xserver-xorg/config/monitor/mode-list: 1280x800 @ 60Hz
  xserver-xorg/config/monitor/default-identifier:




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#566600; Package xserver-xorg. (Sun, 24 Jan 2010 10:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 24 Jan 2010 10:33:03 GMT) Full text and rfc822 format available.

Message #10 received at 566600@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Paul Vojta <vojta@math.berkeley.edu>, 566600@bugs.debian.org
Subject: Re: Bug#566600: xserver-xorg: XBell doesn't work
Date: Sun, 24 Jan 2010 11:27:15 +0100
forcemerge 564200 566600
kthxbye

On Sat, Jan 23, 2010 at 16:28:02 -0800, Paul Vojta wrote:

> The console bell stopped working (no sound is produced) with this newer
> version of the server (7.5+2 vs. 7.4+4).  Note that "xset q" reports
> 
>   bell percent:  50    bell pitch:  400    bell duration:  100
> 
> Note also that xdvi no longer beeps when it should, so the problem is
> in XBell(), not xterm.
> 
Sounds like a duplicate of #564200, merging.

Cheers,
Julien




Bug reassigned from package 'xserver-xorg' to 'xserver-xorg-core'. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 24 Jan 2010 11:12:03 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions xorg/1:7.5+2. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 24 Jan 2010 11:12:04 GMT) Full text and rfc822 format available.

Forcibly Merged 564200 566600. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 24 Jan 2010 11:12:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#566600; Package xserver-xorg-core. (Mon, 25 Jan 2010 11:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 25 Jan 2010 11:51:03 GMT) Full text and rfc822 format available.

Message #21 received at 566600@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 566600@bugs.debian.org
Cc: 566600-submitter@bugs.debian.org
Subject: re: #566600 xserver-xorg: XBell doesn't work
Date: Mon, 25 Jan 2010 06:48:00 -0500
[Message part 1 (text/plain, inline)]
The problem may be in xterm's package, as noted here:

	Date: Sat, 9 Jan 2010 22:42:43 +0000
	From: Julien Cristau <jcristau@debian.org>
	To: dickey@his.com, 564200@bugs.debian.org
	Cc: 564200-submitter@bugs.debian.org
	Right, configure doesn't use XkbBell in the debian build because the
	package doesn't build-depend on libxkbfile-dev (which provides
	<X11/extensions/XKBbells.h>).  I'll try to remember to fix that.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Message sent on to Paul Vojta <vojta@math.berkeley.edu>:
Bug#566600. (Mon, 25 Jan 2010 11:51:24 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#566600; Package xserver-xorg-core. (Mon, 01 Feb 2010 19:46:59 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Pimlott <andrew@pimlott.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 01 Feb 2010 19:46:59 GMT) Full text and rfc822 format available.

Message #29 received at 566600@bugs.debian.org (full text, mbox):

From: Andrew Pimlott <andrew@pimlott.net>
To: 566600@bugs.debian.org
Subject: state of the bell
Date: Mon, 1 Feb 2010 11:16:19 -0800
I'm having trouble with my X11 bell too (in current unstable), and I see
a few bugs outstanding (564200, 564464, 566600).  It seems to me that
there are multiple issues, and they might be getting confused.  I'll add
my observations here and try to help sort things out.

First, my .xsession has two calls to xset to control the bell:

    xset b 50 2000 50
    xset b off

(The first is there so if I do turn on the bell, it has the pitch I
want.)  But when I starts and I open an xterm and run "xset q", I see

    bell percent:  50    bell pitch:  400    bell duration:  100

So something is resetting the bell.  I haven't been able to figure out
what.  In fact, it even continues to happen after my X session is
running.  I run "xset b off" and a few minutes later, it is back on.  I
haven't figured out if there's a pattern to what I've been doing in
between.

Second, the "xset b" setting isn't even having an effect.  Programs like
gvim that ring the bell continue to sound, even when I've run "xset b
off" and "xset q" shows it off.  Nor does the pitch setting have any
effect.  I've read about xkbbell, but I'm not clear on the relationship
to the "old" bell or moreover what setting will turn it off.

Third, xterm isn't ringing the bell when it should.  This seems to be
acknowledged in 564200, though I don't see what the plan to fix it is.

I'm pretty perplexed by these observations, both because it seem strange
for all of them to be happening at once (this is all due to to upgrades
within the last month), and because I can't imagine that everyone's bell
started going loco or there would be more reports.

Let me know what I can do to help track this down.

Andrew




Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 25 Feb 2010 17:12:48 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 20 Apr 2010 07:30:39 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from "Barak A. Pearlmutter" <barak@cs.nuim.ie> to control@bugs.debian.org. (Fri, 13 Jan 2012 10:00:14 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions xorg-server/2:1.7.5.902-1 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 13 Jan 2012 10:00:15 GMT) Full text and rfc822 format available.

Bug Marked as found in versions xorg-server/2:1.11.2.902-1. Request was from "Barak A. Pearlmutter" <barak@cs.nuim.ie> to control@bugs.debian.org. (Fri, 13 Jan 2012 10:09:43 GMT) Full text and rfc822 format available.

Message #40 received at 564200-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: "Barak A. Pearlmutter" <barak@cs.nuim.ie>, 564200-done@bugs.debian.org
Subject: Re: Bug#564200: still no ringie-dingie
Date: Wed, 18 Jul 2012 11:31:17 +0200
[Message part 1 (text/plain, inline)]
On Fri, Jan 13, 2012 at 10:10:26 +0000, Barak A. Pearlmutter wrote:

> This bell bug seems to still be present.
> It can be manifested by running the below program.

Please file a new bug.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 16 Aug 2012 07:25:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:34:52 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.